Bug 1266224 - BMC feature strings are confusing
Summary: BMC feature strings are confusing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: fusor-installer
Version: 1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ga
: 1.0
Assignee: Derek Whatley
QA Contact: Antonin Pagac
URL:
Whiteboard:
Depends On:
Blocks: rhci-sprint-16 qci-sprint-17
TreeView+ depends on / blocked
 
Reported: 2015-09-24 20:02 UTC by Matt Reid
Modified: 2016-09-13 16:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-13 16:22:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1862 0 normal SHIPPED_LIVE Red Hat Quickstart Installer 1.0 2016-09-13 20:18:48 UTC

Description Matt Reid 2015-09-24 20:02:35 UTC
Description of problem:
When running fusor-installer, there's a newer option at the end for BMC (from the docs, Baseboard management controllers).

The strings I've seen so far for it are:
1. Change BMC feature enabled
2. Do not change bmc feature enabled

which can be true or false (anything else?)


3. Change BMC default provider

which can be ipmitool or freeipmi (anything else?)

The second BMC feature string has a few issues, it's too long to fit neatly in with the rest of fusor-installer, and can't match the alignment used throughout the rest of the steps, and bmc is lower-cased, rather than upper-cased like an acronym and doesn't match the first string. The first and second string don't give you any context on what they're used for, if you don't already know (a tough task for a character constrained terminal string, but it'd be nice if we tried to help a little bit).

Can we simplify the strings used? Could it just be "Configure BMC for baremetal" and it would be true or false? "Do not change [x] enabled" true/false is confusing, I think we're making things more complicated by allowing the string to change than if we kept it static, and relied on the value (true/false) to tell us what we're doing. The current strings make no mention of baremetal, which from the doc appears to be what forces your decision on if you want to enable it or not.

Likewise, "Change BMC default provider" could probably be simplified. Having the Change prefix there makes me expect a true/false answer, but it looks like we supply what the provider is. Is the default ipmitool, or by default does fusor want to change it from the default to ipmitool?

Could we simplify that string to just be "BMC provider for baremetal" or "BMC provider"? and the value would remain ipmitool or freeipmi. Are there other providers that could be entered?

I think the BMC related strings could be cleaned up a bit to be more intuitive and fit better into fusor-installer. If I'm wrong about baremetal being the key issue, let me know and we can try to think of how to tweak the strings.

Version-Release number of selected component (if applicable):
Tech preview

Comment 1 Derek Whatley 2016-06-21 19:24:46 UTC
Appears to be already fixed. CLI options now read:

Modify settings as needed, and then proceed with the installation:
1.      Proceed with the values shown
2.           Network interface | eth1
3.                    Hostname | sat62fusor.example.com
4.                  IP address | 192.168.235.10
5.                Network mask | 255.255.255.0
6.                Host gateway | 192.168.121.1
7.        DHCP Network address | 192.168.235.0
8.            DHCP range start | 192.168.235.11
9.              DHCP range end | 192.168.235.254
10.               DHCP gateway | 192.168.235.1
11.              DNS forwarder | 192.168.121.1
12.                     Domain | example.com
13.              NTP sync host | 0.rhel.pool.ntp.org
14.                  Time zone | America/New_York
15.        BMC feature enabled | false
16.       BMC default provider | ipmitool
17. Do not configure networking
18. Do not configure firewall
19. Cancel installation


Additionally, "2. Do not change bmc feature enabled" is no longer present in the installer as far as I can tell.

Comment 2 Antonin Pagac 2016-06-27 10:24:39 UTC
Verified, compose 20160624.t.0

Comment 8 errata-xmlrpc 2016-09-13 16:22:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2016:1862


Note You need to log in before you can comment on or make changes to this bug.